Package org.eclipse.rdf4j.model.impl

## Class SimpleBNode

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractBNode
  - - org.eclipse.rdf4j.model.impl.SimpleBNode

- All Implemented Interfaces:
    `Serializable`, `BNode`, `Resource`, `Value`
  Direct Known Subclasses:
    `MemBNode`, `NativeBNode`

      public class SimpleBNode
      extends AbstractBNode

  An simple default implementation of the `BNode` interface.
  Author:
    Arjohn Kampman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SimpleBNode()` | Creates a new, unitialized blank node.
    `protected` | `SimpleBNode​(String id)` | Creates a new blank node with the supplied identifier.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getID()` | Retrieves this blank node's identifier.
    `protected void` | `setID​(String id)` |

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractBNode

      `equals, hashCode, stringValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.BNode

      `isBNode`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Resource

      `isResource`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isIRI, isLiteral, isTriple`

- - ### Constructor Detail

    - #### SimpleBNode

          protected SimpleBNode()

      Creates a new, unitialized blank node. This blank node's ID needs to be `set` before the normal methods can be used.

    - #### SimpleBNode

          protected SimpleBNode​(String id)

      Creates a new blank node with the supplied identifier.
      Parameters:
        `id` - The identifier for this blank node, must not be null.

  - ### Method Detail

    - #### getID

          public String getID()

      Description copied from interface: `BNode`
      Retrieves this blank node's identifier.
      Returns:
        A blank node identifier.

    - #### setID

          protected void setID​(String id)